-- Soft Name: NeWorld Manager
-- Current version: 1.0
-- https://neworld.org

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `NeWorld` (
  `setting` varchar(128) NOT NULL,
  `value` longtext NOT NULL
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `NeWorldCache` (
  `id` int(11) NOT NULL,
  `version` varchar(10) NOT NULL,
  `name` varchar(128) NOT NULL,
  `download` text NOT NULL,
  `md5` varchar(32) NOT NULL,
  `date` int(11) NOT NULL
) DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `NeWorldProduct` (
  `id` int(11) NOT NULL,
  `version` varchar(10) NOT NULL,
  `name` varchar(128) NOT NULL,
  `license` varchar(128) NOT NULL,
  `hash` varchar(128) NOT NULL,
  `date` int(11) NOT NULL DEFAULT '1477929600'
) DEFAULT CHARSET=utf8;

ALTER TABLE `NeWorldCache`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`);

ALTER TABLE `NeWorldProduct`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `id` (`id`),
  ADD UNIQUE KEY `license` (`license`),
  ADD UNIQUE KEY `hash` (`hash`),
  ADD UNIQUE KEY `name` (`name`);